Package org.postgresql.jdbc

# Class PgParameterMetaData

java.lang.Object
org.postgresql.jdbc.PgParameterMetaData

All Implemented Interfaces:
  `ParameterMetaData`, `Wrapper`

public class PgParameterMetaData extends Object implements ParameterMetaData

- ## Field Summary

  ### Fields inherited from interface java.sql.ParameterMetaData

  `parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PgParameterMetaData(BaseConnection connection, int[] oids)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameterClassName(@org.checkerframework.checker.index.qual.Positive int param)`
  `int`
  `getParameterCount()`
  `int`
  `getParameterMode(int param)`
  For now report all parameters as inputs.
  `int`
  `getParameterType(int param)`
  `String`
  `getParameterTypeName(int param)`
  `int`
  `getPrecision(int param)`
  `int`
  `getScale(int param)`
  `int`
  `isNullable(int param)`
  `boolean`
  `isSigned(int param)`
  PostgreSQL doesn't have unsigned numbers
  `boolean`
  `isWrapperFor(Class<?> iface)`
  `<T> T`
  `unwrap(Class<T> iface)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PgParameterMetaData

    public PgParameterMetaData(BaseConnection connection, int[] oids)

- ## Method Details

  - ### getParameterClassName

    public String getParameterClassName(@org.checkerframework.checker.index.qual.Positive int param) throws SQLException
    Specified by:
      `getParameterClassName` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### getParameterCount

    public int getParameterCount()
    Specified by:
      `getParameterCount` in interface `ParameterMetaData`

  - ### getParameterMode

    public int getParameterMode(int param) throws SQLException
    For now report all parameters as inputs. CallableStatements may have one output, but ignore that for now.
    Specified by:
      `getParameterMode` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### getParameterType

    public int getParameterType(int param) throws SQLException
    Specified by:
      `getParameterType` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### getParameterTypeName

    public String getParameterTypeName(int param) throws SQLException
    Specified by:
      `getParameterTypeName` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### getPrecision

    public int getPrecision(int param) throws SQLException
    Specified by:
      `getPrecision` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### getScale

    public int getScale(int param) throws SQLException
    Specified by:
      `getScale` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### isNullable

    public int isNullable(int param) throws SQLException
    Specified by:
      `isNullable` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### isSigned

    public boolean isSigned(int param) throws SQLException
    PostgreSQL doesn't have unsigned numbers
    Specified by:
      `isSigned` in interface `ParameterMetaData`
    Throws:
      `SQLException`

  - ### isWrapperFor

    public boolean isWrapperFor(Class<?> iface) throws SQLException
    Specified by:
      `isWrapperFor` in interface `Wrapper`
    Throws:
      `SQLException`

  - ### unwrap

    public <T> T unwrap(Class<T> iface) throws SQLException
    Specified by:
      `unwrap` in interface `Wrapper`
    Throws:
      `SQLException`